#!/bin/bash
#
# Copyright (c) 2012 Nagios Enterprises, LLC
# Website: www.nagios.com

if [ "$#" -lt 3 ]; then
	echo "Required arguments not supplied"
	echo "USAGE: $0 [disk] [warning_used] [critical_used]"
	echo ""
	echo "Example: $0 / 80 90"
	exit 4
fi

disk=$1
warn=$2
crit=$3

if [ $crit -le $warn ]; then
	echo "TRESHOLD ERROR: Critical used must be lower than warning used."
	exit 4
fi

#echo "DISK: $disk"
#echo "WARN: $warn"
#echo "CRIT: $crit"

# Get usage of all disks
#dfall=`df -h` 

# Get usage of specified disk
dfdisk=`df -h $disk 2>/dev/null | head -n 2 | tail -n 1 `
ret=$?
#echo "RET=$ret"
#echo "DFDISK=$dfdisk"
if [ $ret -ne 0 -o "x$dfdisk" == "x" ]; then
	echo "ERROR: Disk '$disk' not found!"
	exit 3;
fi

#echo "DF: $dfdisk"
dfmount=`echo $dfdisk | awk '{print $1}'`
dftotal=`echo $dfdisk | awk '{print $2}'`
dfused=`echo $dfdisk | awk '{print $3}'`
dffree=`echo $dfdisk | awk '{print $4}'`
dfusedp=`echo $dfdisk | awk '{print $5}' | cut -f 1 -d "%"`



result=0

if [  $crit -le $dfusedp ]; then
	result=2
elif [ $warn -le $dfusedp ]; then
	result=1
else
	result=0
fi


echo -n "DISK "
if [ "x$disk" !=  "x" ]; then
	echo -n "$disk "
fi
if [ $result -eq 0 ]; then
	echo -n "OK"
elif [ $result -eq 1 ]; then
	echo -n "WARNING"
else
	echo -n "CRITICAL"
	result=2
fi
echo -n ": "

echo -n "$dfusedp% Used on $dfmount ($dftotal Total, $dfused Used, $dffree Free)" 
echo -n "| $dfmount=$dfusedp;$warn;$crit;0;200"

echo ""

